Universal Robots Forum

How to import a new urcap project to Eclipse?

Hi im having trouble importing a brand new urcap project into eclipse the steps that i follow are:

file->import->maven->Existing maven projects->browse->my_project.

in the “setup maven plugins connectors” section after i clicked finish there is an error:

there is a new window that asks me to install:

Liferay IDE Maven Support (includes Eclipse m2e plugins) 3.1.2.201709011126-ga3

When i click next nothing happens and this error appears:

Cannot complete the install because one or more required items could not be found.
Software being installed: Liferay IDE Maven Support (includes Eclipse m2e plugins) 3.1.2.201709011126-ga3 (com.liferay.ide.maven.feature.group 3.1.2.201709011126-ga3)
Missing requirement: biz.aQute.remote.api 3.4.0.201707032202-SNAPSHOT (biz.aQute.remote.api 3.4.0.201707032202-SNAPSHOT) requires ‘package org.osgi.framework.dto [1.8.0,2.0.0)’ but it could not be found
Cannot satisfy dependency:
From: Blade Tools 2.2.0.REL-20170706-110533-g39ad2e1 (com.liferay.blade.tools.feature.group 2.2.0.REL-20170706-110533-g39ad2e1)
To: biz.aQute.remote.api [3.4.0.201707032202-SNAPSHOT]
Cannot satisfy dependency:
From: Liferay IDE 3.1.2.201709011126-ga3 (com.liferay.ide.eclipse.tools.feature.group 3.1.2.201709011126-ga3)
To: com.liferay.blade.tools.feature.group 2.0.0
Cannot satisfy dependency:
From: Liferay IDE Maven Support (includes Eclipse m2e plugins) 3.1.2.201709011126-ga3 (com.liferay.ide.maven.feature.group 3.1.2.201709011126-ga3)
To: com.liferay.ide.eclipse.tools.feature.group 3.0.0

I choose Resolve Later (or something similarly named) and just ignore it. I think it was recommended somewhere here in forum to ignore those.

3 Likes